#ifndef _LOG_H_
#define _LOG_H_

#include "win32/Edit.h"
#include "win32/MDIChild.h"

class CLog : public Framework::CMDIChild
{
public:
								CLog(HWND);
								~CLog();

protected:
	long						OnSize(unsigned int, unsigned int, unsigned int);
	long						OnSysCommand(unsigned int, LPARAM);
	long						OnSetFocus();

private:
	void						RefreshLayout();

	unsigned long				PipeThreadProc();
	static unsigned long WINAPI	PipeThread(void*);

	HANDLE						m_nStdoutWr;
	HANDLE						m_nStdoutRd;
	HANDLE						m_nPipeThread;

	unsigned long				m_nKillThread;
	Framework::CEdit*			m_pEdit;
};

#endif