#include <assert.h>
#include <string.h>
#include <stdio.h>
#include "IOP_LoadFile.h"

using namespace IOP;

void CLoadFile::Invoke(uint32 nMethod, void* pArgs, uint32 nArgsSize, void* pRet, uint32 nRetSize)
{
	switch(nMethod)
	{
	case 0:
		LoadModule(pArgs, nArgsSize, pRet, nRetSize);
		break;
	default:
		assert(0);
		break;
	}
}

void CLoadFile::LoadModule(void* pArgs, uint32 nArgsSize, void* pRet, uint32 nRetSize)
{
	char sModuleName[253];

	assert(nArgsSize == 512);
	assert(nRetSize == 4);

	memset(sModuleName, 0, 253);
	strncpy(sModuleName, &((const char*)pArgs)[8], 252);

	//Load the module???
	printf("IOP_LoadFile: Request to load module '%s' received.\r\n", sModuleName);

	//This function returns something negative upon failure
	*(uint32*)pRet = 0x00000000;
}
